Subject: bug#68229: closed (Re: bug#68229: go.powerpc64le-linux 1.14.15 fails test suite)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 03 Jan 2024 16:54:02 +0000

Your bug report

#68229: go.powerpc64le-linux 1.14.15 fails test suite

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68229: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68229
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#68229: go.powerpc64le-linux 1.14.15 fails test suite
From: Efraim Flashner <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Wed, 3 Jan 2024 18:53:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Jan 03, 2024 at 11:29:50AM -0500, Maxim Cournoyer wrote:
> Hello,
> 
> [email-masked] (Cuirass) writes:
> 
> > <p>The build <b>go.powerpc64le-linux</b> for specification <b>master</b> is broken. You can find the detailed information about this build <a
> > href="https://ci.guix.gnu.org/build/3139760/details">here</a>.</p>
> >
> > https://ci.guix.gnu.org/build/3139760/details
> 
> The test failure is:
> 
> --8<---------------cut here---------------start------------->8---
> --- FAIL: TestScript (0.00s)
>     --- FAIL: TestScript/vendor_complex (2.07s)
>         script_test.go:193: 
>             # smoke test for complex build configuration (1.990s)
>             > go build -o complex.exe complex
>             > [exec:gccgo] go build -compiler=gccgo -o complex.exe complex
>             [stderr]
>             # complex
>             gccgo: error: unrecognized command-line option '-rpath=/gnu/store/qj6cnccz6vsffqa32rviw4zaqgh7xd6q-gcc-11.3.0-lib/lib'
>             [exit status 2]
>             FAIL: testdata/script/vendor_complex.txt:5: unexpected command failure
>             
> FAIL
> FAIL	cmd/go	46.068s
> --8<---------------cut here---------------end--------------->8---
> 
> I don't see an obvious relationship with the recent commit touching
> gccgo-12, but I'm CC'ing its author in case it could be.

This one is go-1.14. That one already failed for ppc64le.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: go.powerpc64le-linux 1.14.15 fails test suite
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Wed, 03 Jan 2024 11:29:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Cuirass) writes:

> <p>The build <b>go.powerpc64le-linux</b> for specification <b>master</b> is broken. You can find the detailed information about this build <a
> href="https://ci.guix.gnu.org/build/3139760/details">here</a>.</p>
>
> https://ci.guix.gnu.org/build/3139760/details

The test failure is:

--8<---------------cut here---------------start------------->8---
--- FAIL: TestScript (0.00s)
    --- FAIL: TestScript/vendor_complex (2.07s)
        script_test.go:193: 
            # smoke test for complex build configuration (1.990s)
            > go build -o complex.exe complex
            > [exec:gccgo] go build -compiler=gccgo -o complex.exe complex
            [stderr]
            # complex
            gccgo: error: unrecognized command-line option '-rpath=/gnu/store/qj6cnccz6vsffqa32rviw4zaqgh7xd6q-gcc-11.3.0-lib/lib'
            [exit status 2]
            FAIL: testdata/script/vendor_complex.txt:5: unexpected command failure
            
FAIL
FAIL	cmd/go	46.068s
--8<---------------cut here---------------end--------------->8---

I don't see an obvious relationship with the recent commit touching
gccgo-12, but I'm CC'ing its author in case it could be.

-- 
Thanks,
Maxim